mptcpd_interface Struct Reference

Network interface-specific information. More...

`#include <mptcpd/network_monitor.h>`

## Public Attributes

Network Interface Information

Information specific to the network interface obtained through the rtnetlink API.

See also
  rtnetlink(7)

unsigned char | family
| Address family, e.g `AF_UNSPEC`. More...
unsigned short | type
| Network device type, e.g. `ARPHRD_ETHER`. More...
int | index
| Network interface (link) index.
unsigned int | flags
| Network interface flags, e.g. `IFF_UP`. More...
char | name [IF_NAMESIZE]
| Network interface name.
struct l_queue * | addrs

## Detailed Description

Network interface-specific information.

## Member Data Documentation

## addrs

struct l_queue* mptcpd_interface::addrs

List of IP addresses, i.e. `sockaddr` objects, associated with the interface.

## family

unsigned char mptcpd_interface::family

Address family, e.g `AF_UNSPEC`.

Note
  One would typically use the `sa_family_t` `typedef`, but the rtnetlink protocol itself uses `unsigned` `char`.

## flags

unsigned int mptcpd_interface::flags

Network interface flags, e.g. `IFF_UP`.

See also
  <net/if.h>

## type

unsigned short mptcpd_interface::type

Network device type, e.g. `ARPHRD_ETHER`.

See also
  <net/if_arp.h>

The documentation for this struct was generated from the following file:

- include/mptcpd/network_monitor.h